{% extends 'person/base.html' %}
{% load i18n humanize extras static moderator memberships %}

{% block title %}{% trans "User Profile" %} | {{ object.name }}{% endblock %} 

{% block "profile" %}
  {% with object.principle_team as membership %}
  <img id="photo" src="{{ object.photo_url }}"/>
  {% if membership.team.badge and not membership.expired %}
  <span id="badge" {% if not membership.joined %}style="opacity: 25%;"{% endif %}><a href="{{ membership.team.get_absolute_url }}"><img src="{{ membership.team.badge.url }}" title="{{ membership }}{% if not membership.joined %} ({% trans "request pending" %}){% endif %}"/></a></span>
  {% endif %}

  <div class="profilebuttons">
    {% if request.user != object and request.user.is_authenticated %}
      {% if object|is_flagged:request.user %}
        <img src="{% static "images/social/flag.svg" %}" title="{% trans "You have flagged this user." %}"/>
      {% else %}
        <a href="{% flag_url object %}" title="{% trans "Flag User to Moderators" %}"><img src="{% static "images/social/flag.svg" %}"/></a>
        <script>popUpLink('{% trans "Are you sure you want to report this user?" %}', '{% trans "Cancel" %}', '{% trans "Report" %}', "{{ object.get_absolute_url }}", "{% trans "What is wrong with this user account?" %}");</script>
      {% endif %}
      {% if object.from_friends|i_added:request.user %}
        <a href="{% url "user_unfriend" object.username %}"><img src="{% static "images/social/is_friend.svg" %}" title="{% trans "You have added this user as a friend. Click here to remove." %}"/></a>
      {% else %}
        <a href="{% url "user_friend" object.username %}"><img src="{% static "images/social/make_friend.svg" %}" title="{% trans "Make friends with this user" %}"/></a>
      {% endif %}
    {% endif %}
    {% if object.is_staff %}
      {% if object == request.user %}<a href="/admin/">{% endif %}<img src="{% static "images/social/admin.svg" %}" title="{% trans "Inkscape Website Administrator" %}"/></a>
    {% endif %}
    {% if object.is_moderator %}
      {% if object == request.user %}<a href="{% url "moderation:index" %}">{% endif %}<img src="{% static "images/social/moderation.svg" %}" title="{% trans "Inkscape Community Moderator" %}"/></a>
    {% endif %}
    {% for socmed in object.social_media_urls.all %}
      {% if socmed.is_visible %}
        <a href="{{ socmed.url }}" rel="me nofollow noopener" target="_blank"><img src="{{ socmed.icon }}" title="{{ socmed.name }}"/></a>
      {% endif %}
    {% endfor %}
    {% if request.user.is_authenticated and request.user != object and perms.forums.can_post_topic %}
      <a href="{% url "message.new" object.username %}"><img src="{% static "images/social/message.svg" %}" title="{% trans "Send Message" %}"/></a>
    {% endif %}
  </div>
  {% endwith %}
{% endblock %}
  
{% block "name" %}
  {% with object.principle_team as membership %}
  {% if object.first_name %}
    {{ object.first_name }} {{ object.last_name }}
    <span id="username">{{ object.username }}</span>
  {% else %}
    {% trans "Anonymous" %}
    <span id="username">{{ object.username }}</span>
  {% endif %}
  {% if object == request.user %}
    <span id="edit"><a href="{% url "edit_profile" %}">{% trans "Edit" %}</a></span>
  {% endif %}
  {% if not membership.team.badge and not membership.expired %}
    <span id="membership"><a href="{{ membership.team.get_absolute_url }}">{{ membership }}</a></span>
  {% endif %}
  {% endwith %}
{% endblock %}

{% block headerdesc %}
  {% if object.bio %}{{ object.bio|striptags|linebreaks }}{% else %}{% trans "User profile page on the inkscape website." %}{% endif %}
{% endblock %}
{% block "bio" %}
  {% if object.bio %}{% if object.bio_html %}{{ object.bio|safe }}{% else %}{{ object.bio|linebreaks }}{% endif %}{% else %}{{ object }} {% trans "hasn't written anything about themselves yet." %}{% endif %}
{% endblock %}

{% block "side" %}
  <h2 title="{% trans "Your place to upload Inkscape Art!" %}">{% trans "InkSpace Galleries" %}</h2>
  <ul>
    <li><a href="{% url "resources" username=object.username %}">{% trans "All Uploads" %}</a></li>
    <hr/>
    {% for gallery in object.galleries.all.not_group %}
      <li><a href="{{ gallery.get_absolute_url }}">{{ gallery.name }}</a></li>
    {% endfor %}
    <li><a href="{% url "resources" username=object.username category='pastebin' %}">{% trans "PasteBin" %}</a></li>
    {% if object != request.user %}
      <hr/>
      {% if request.user|is_subscribed:object %}
        <li><a href="{% url "alert.unsubscribe" "resources.resource_alert" object.pk %}">{% trans "Unsubscribe from Gallery" %}</a></li>
      {% else %}
        <li><a href="{% url "alert.subscribe" "resources.resource_alert" object.pk %}">{% trans "Subscribe to Gallery" %}</a></li>
      {% endif %}
    {% else %}
      <li><a href="{% url "resource.unpublished" %}">{% trans "Unpublished" %}</a></li>
    {% endif %}
  </ul>

  <h2 title="Forum comments and stats"><a href="{% url 'forums:list' %}">{% trans "Forums" %}</h2>
  <ul>
    <li><a href="{% url "topic_list" object.username %}"><label>Topics</label> <span>{{ object.forum_topics.count }}</span></a></li>
    <li><a href="{% url "comment_list" object.username %}"><label>Comments</label> <span>{{ object.comment_comments.count }}</span></a></li>
    {% if request.user == object %}
    <li><a href="{% url "forums:topic_subs" %}"><label>Subscriptions</label>  {% with object.forum_subscriptions.count as count %}{% if count %}<span>{{ count }}</span>{% endif %}{% endwith %}</a></li>
    {% endif %}
    {% if request.user.is_moderator %}
      <li><a href="{% url "forums:ban_list" %}?user={{ object.username }}">{% trans "Ban User" %}</a></li>
    {% endif %}
  </ul>


  {% if object.teams.all %}
    <h2>{% trans "Teams" %}</h2>
    <ul>
      {% for team in object.teams.all %}
        <li title="{{ team }} — {{ team.intro }}">
          <a href="{{ team.get_absolute_url }}">
            <label>{{ team }}</label>
            {% if team.admin == object %}<span>&#9733;</span>{% endif %}
          </a>
        </li>
      {% endfor %}
    </ul>
  {% endif %}

  <h2>{% trans "Information" %}</h2>
  <ul>
    {% if object.gpg_key %}
      <li><a href="{% url "user_gpgkey" object.username %}">{% trans "Public GPG Key" %}</a></li>
    {% endif %}
    {% if object.last_seen %}
      <li><a><label>{% trans "Last Seen" %}</label>
        <span title="{{ object.last_seen|ago }} ({{ object.last_seen|date:"Y-m-d" }})">{{ object.last_seen|ago:1 }}</span></a></li>
    {% endif %}
    <li><a><label>{% trans "Joined" %}</label>
      <span title="{{ object.date_joined|ago }} ({{ object.date_joined|date:"Y-m-d" }})">{{ object.date_joined|ago:1 }}</span></a></li>
    <li><a><label>{% trans "Profile Visits" %}</label>
      <span>{{ object.visits|intcomma }}</span></a></li>

    <li><a><label>{% trans "Friends" %}</label>
      <span>{{ object.friends.mutual.count|intcomma }}</span></a></li>
    <li><a><label>{% trans "Subscribers" %}</label>
      <span>{{ object.resources.subscriptions.count|intcomma }}</span></a></li>
    <li><a><label>{% trans "Gallery Views" %}</label>
      <span>{{ object.resources.views|intcomma }}</span></a></li>
    <li><a><label>{% trans "Gallery Stars" %}</label>
      <span>{{ object.resources.likes|intcomma }}</span></a></li>
    <li><a><label>{% trans "Downloads" %}</label>
      <span>{{ object.resources.downloads|intcomma }}</span></a></li>
    {% if object == request.user or object.is_staff %}
      <li><a href="{% url "resource.check_quota" username=object.username %}"><label>{% trans "Upload Quota" %}</label>
        <span title="{{ object.resources.disk_usage|filesizeformat }} {% trans "of" %} {{ object.quota|filesizeformat }}">{{ object.resources.disk_usage|percent:object.quota }}</span></a></li>
    {% endif %}
  </ul>

  {% if object == request.user and 0 %}
    <h2 title="{% trans "Sessions are stored only as long as you are logged in and the IP address is not recorded permanently."%}">{% trans "Sessions" %}</h2>
    <ul id="sessions">
    {% for session in object.sessions %}
      <li title="{{ session.ip }} / {{ session.last_activity|ago }}">
        <a{% if session.session_key == request.COOKIES.sessionid %} class="active"{% endif %}>
          <label>{ session.ip|location }</label>
          <span>
            <span class="OS { session.user_agent|device_id } { session.user_agent|device_id:True }" title="{ session.user_agent|device }">&nbsp;</span>
            <span class="BR { session.user_agent|browser_id }" title="{ session.user_agent|browser }">&nbsp;</span>
          </span>
        </a>
      </li>
    {% endfor %}
    </ul>

    <h2>{% trans "Use The Paste Bin" %}</h2>
    <div id="paste">
     <form method="POST" action="{% url "pastebin" %}">
       {% csrf_token %}
       <textarea name="download" placeholder="{% trans "Paste Your Bin Here..." %}"></textarea>
       <input type="submit" value="{% trans "Paste!" %}"/>
     </form>
    </div>
  {% endif %}
{% endblock %}

{% block "content" %}
  <h2>{% trans "Recent Uploads" %}</h2>
  
  {% if object.resources.latest %}
    {% with resources=object.resources.latest %}
      {% include "resources/resource_icons.html" %}
    {% endwith %}
  {% else %}
    {% if not object == request.user %}
      <div class="galleryitem nothing">
        <p>{% trans "No uploads yet." %}</p>
      </div>
    {% else %}
      {% url "resources" username=object.username as yourinkspacelink %}
      <div class="galleryitem nothing">
         <p>{% trans "No uploads yet?" %}</p>
         <p>{% blocktrans trimmed %}Visit <a href="{{ yourinkspacelink }}">your InkSpace</a> and 
         create a gallery to start sharing your artwork, tutorials, extensions and everything 
         else related to Inkscape with other Inkscape users!{% endblocktrans %}</p>
      </div>
    {% endif %}
  {% endif %}

  <h2><a href="{% url "favorites" object.username %}">{% trans "Favorite Artworks" %}</a></h2>
  {% if object.favorites.items.visible.count > 0 %}
    {% with resources=object.favorites.items.visible.four %}
      {% include "resources/resource_icons.html" %}
    {% endwith %}
  {% else %}
    {% if not object == request.user %}
      <div class="galleryitem nothing">
        <p>{% trans "No favorites yet." %}</p>
      </div>
    {% else %}
      {% url "resources" as gallery_url %}
      <div class="galleryitem nothing">
         <p>{% trans "No favorites yet?" %}</p>
         <p>{% blocktrans %}Visit <a href="{{ gallery_url }}">the gallery</a> to see what other Inkscape users have created!{% endblocktrans %}</p>
      </div>
    {% endif %}
  {% endif %}
{% endblock %}
